Search AutoPays

This request searchs the AutoPays within the account.

   Click here to learn more about this request

It's possible to execute a search for the AutoPays within your account. Note the following when using this request:

This request uses OpenSearch to filter through AutoPay information.

We've included query parameters in the URL of this request, but they're not required.

There are a lot of search options available, and we don't list all of them here. We recommend taking a look at search filters within the LoanPro dashboard for an example of what search parameters can be used.

👆

Pay special attention to the endpoint of this request.

This request does not use OData, so it's not included in the endpoint like most other LMS requests.

Database

For information regarding AutoPay database tables, take a look at the following articles:

Database – AutoPay Main Table (loan_autopay_entity)

Database – Defaults Autopay (defaults_autopay)

Database – Holding Account Autopay Info (holding_account_autopay_entity)

{
    "aggs": {  // Like explained below, this object calculates values based on the results.
        "avg_amount": {
            "avg": {
                "field": "amount"
            }
        },
        "sum_amount": {
            "sum": {
                "field": "amount"
            }
        }
    },
    "query": {
        "bool": {
            "filter": {
                "terms": {
                    "loanId": [ // Here, we've selected 10 loans for the system to search. However, you can have the system search for all loans by removing this array.
                        9114,
                        9115,
                        9116,
                        9117,
                        9118,
                        9119,
                        9120,
                        9121,
                        9122,
                        9123
                    ]
                }
            },
            "should": [ // The "should" parameter functions like "OR". In other words, at least one criteria below must be met for an AutoPay to be counted.
                {
                    "match": {
                        "status": "autopay.status.failed"
                    }
                },
                {
                    "match": {
                        "type": "autopay.type.single"
                    }
                },
                {
                    "match": {
                        "paymentMethod": "paymentAccount.type.checking"
                    }
                },
                {
                    "match": {
                        "recurringFrequency": "autopay.recurringFrequency.monthly"
                    }
                },
                {
                    "range": {
                        "processDateTimeLocal": {
                            "gte": "2022-04-01 00:04:00",
                            "lte": "2022-04-27 23:04:59"
                        }
                    }
                }
            ]
        }
    }
}
Query Params
int32
Defaults to 50

This defines the number of results to return.
> For example, $top=25 returns the first 25 results.

int32
Defaults to 0

This defines the offset to start returning results with.
> For example, $start=0 starts with the 1st result.

string
Defaults to id

This sorts the results based on the specified variable.
> For example, $orderby=id sorts the results by their ID in the software.

Body Params
aggs
object

This object calculates values for the AutoPays listed within your account. The results are listed within the response.

query
object

This object is used to set parameters for the search.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json